<?php
/* efg.inc
 *    DA language include file for the Easy Firewall Generator
 *
 * 2014-03-28 v2.0.4 Added BRAINDEAD_KEY/_TITLE
 * 2014-03-28 v2.0.3 Added DICT_KEY/_TITLE
 * 2014-03-27 v2.0.2 Added SELF_IN_KEY/_TITLE, SELF_NET_KEY/_TITLE
 * 2014-03-25 v2.0.1 Added DA, DE, NL + INET_ADDRESS_KEY/_TITLE
 * 2014-03-15 v2.0.0 Released
 * 2014-03-08 v2.0.0 Started -AK
 *
 * TAB=3
 *
 * @category Net
 * @version $Id: DA/efg.inc, v2.0.4 2014-03-29
 * @author Alex KEMP http://www.modem-help.co.uk/
 * @translator Alex KEMP http://www.modem-help.co.uk/
 *
 * Note: this file *must* be utf-8 encoded, Unix line-endings for best.
 */
	// lang arrays: DA Dansk
	$S_CONTENT_DIRECTION['DA']			= 'ltr';	// left-to-right; Hebrew, etc. are `rtl' (right-to-left)

	$BLOCK_OUTBOUND_KEY['DA']			= 'u';
	$BLOCK_OUTBOUND_TITLE['DA']		= "Bloker udgående services";									// Column 2
	$BRAINDEAD_KEY['DA']					= '';
	$BRAINDEAD_TITLE['DA']				= "Stop Braindead Googlebot SMTP adgange";	// Column 1
	$BUTTON_TEXT['DA']					= "Generer Firewall";											// see SUBMIT_KEY + L_SUBMIT
	$DHCP_IN_KEY['DA']					= '';
	$DHCP_IN_TITLE['DA']					= "DHCP-server (ekstern, på internettet interface)";	// Column 2
	$DICT_KEY['DA']						= '';
	$DICT_TITLE['DA']						= "Tilføj Ordbog forebyggelse Attack";			// Column 1
	$DNS_IN_KEY['DA']						= '';
	$DNS_IN_TITLE['DA']					= "DNS-Server";													// Column 2
	$DYNAMIC_IP_NO_KEY['DA']			= 'S';
	$DYNAMIC_IP_NO_TITLE['DA']			= "Statisk";														// Column 2
	$DYNAMIC_IP_TITLE['DA']				= "Internet IP Address Type";	// no KEY
	$DYNAMIC_IP_YES_KEY['DA']			= 'D';
	$DYNAMIC_IP_YES_TITLE['DA']		= "Dynamisk";														// Column 2
	$EMAIL_IN_KEY['DA']					= '';
	$EMAIL_IN_TITLE['DA']				= "E-mail-Server";												// Column 2
	$EMAILSSL_IN_KEY['DA']				= '';
	$EMAILSSL_IN_TITLE['DA']			= "med SSL";														// Column 2
	$EMAIL_OUT_KEY['DA']					= '';
	$EMAIL_OUT_TITLE['DA']				= "E-mail";
	$FTP_IN_KEY['DA']						= '';
	$FTP_IN_TITLE['DA']					= "FTP-Server";													// Column 2
	$FTP_OUT_KEY['DA']					= '';
	$FTP_OUT_TITLE['DA']					= "FTP";
	$GATEWAY_NO_KEY['DA']				= 'e';
	$GATEWAY_NO_TITLE['DA']				= "Single Device";												// Column 2
	$GATEWAY_TITLE['DA']					= "Computer Type";		// no KEY
	$GATEWAY_YES_KEY['DA']				= 'G';
	$GATEWAY_YES_TITLE['DA']			= "Gateway til LAN";												// Column 2
	$HELP['DA']								= "Hjælp";					// no KEY
	$HTTP_IN_KEY['DA']					= '';
	$HTTP_IN_TITLE['DA']					= "Web Server";													// Column 2
	$HTTPSSL_IN_KEY['DA']				= '';
	$HTTPSSL_IN_TITLE['DA']				= "med SSL";														// Column 2
	$HTTP_OUT_KEY['DA']					= '';
	$HTTP_OUT_TITLE['DA']				= "HTTP";
	$INET_IFACE_TITLE['DA']				= "Internet Interface";	// no KEY
	$IM_IN_KEY['DA']						= 'Q';
	$IM_IN_TITLE['DA']					= "ICQ og AIM Filoverførsler";								// Column 2
	$IM_OUT_KEY['DA']						= '';
	$IM_OUT_TITLE['DA']					= "Instant Messenger";
	$IM_PORT_FROM_KEY['DA']				= '';
	$IM_PORT_FROM_TITLE['DA']			= "Fra Havn";
	$IM_PORT_TO_KEY['DA']				= '';
	$IM_PORT_TO_TITLE['DA']				= "Til Havn";
	$INBOUND_ALLOW_KEY['DA']			= 'j';
	$INBOUND_ALLOW_TITLE['DA']			= "Tillad indgående tjenester";					// Column 1
	$INET_ADDRESS_KEY['DA']				= 'I';
	$INET_ADDRESS_TITLE['DA']			= "IP-Adresse";
	$INTERNAL_DHCP_KEY['DA']			= 'H';
	$INTERNAL_DHCP_TITLE['DA']			= "Gateway DHCP-Server";										// Column 2
	$IRC_OUT_KEY['DA']					= '';
	$IRC_OUT_TITLE['DA']					= "IRC";
	$IRC_USER_KEY['DA']					= 'C';
	$IRC_USER_TITLE['DA']				= "Internet Relay Chat (IRC) Bruger";			// Column 1
	$L_POST['DA']							= "Firewall Indstillinger";	// no KEY
	$L_SUBMIT['DA']						= $BUTTON_TEXT['DA'];			// no KEY
	$LOCAL_BCAST_KEY['DA']				= 'B';
	$LOCAL_BCAST_TITLE['DA']			= "Broadcast IP";
	$LOCAL_IFACE_KEY['DA']				= '';
	$LOCAL_IFACE_TITLE['DA']			= "LAN Interface";
	$LOCAL_IP_KEY['DA']					= '';
	$LOCAL_IP_TITLE['DA']				= $INET_ADDRESS_TITLE['DA'];
	$LOCAL_NET_KEY['DA']					= 'N';
	$LOCAL_NET_TITLE['DA']				= "Netværk CIDR";
	$LOCKD_PORT_KEY['DA']				= '';
	$LOCKD_PORT_TITLE['DA']				= "lockd Havn";
	$LOG_FIREPARSE_KEY['DA']			= 'L';
	$LOG_FIREPARSE_TITLE['DA']			= "Log indgange i en Fireparse format";		// Column 1
	$MANGLE_TTL_KEY['DA']				= 'M';
	$MANGLE_TTL_TITLE['DA']				= "Mangle Packet TTL";											// Column 2
	$MDNSRESPONDER_IN_KEY['DA']		= '';
	$MDNSRESPONDER_IN_TITLE['DA']		= "mDNS Responder";												// Column 2
	$MESSENGER_IN_KEY['DA']				= '';
	$MESSENGER_IN_TITLE['DA']			= "MSN Messenger Filoverførsler";							// Column 2
	$MOUNTD_PORT_KEY['DA']				= '';
	$MOUNTD_PORT_TITLE['DA']			= "mountd Havn";
	$MSN_PORT_FROM_KEY['DA']			= '';
	$MSN_PORT_FROM_TITLE['DA']			= $IM_PORT_FROM_TITLE['DA'];
	$MSN_PORT_TO_KEY['DA']				= '';
	$MSN_PORT_TO_TITLE['DA']			= $IM_PORT_TO_TITLE['DA'];
	$OTHER_IN_KEY['DA']					= '';
	$OTHER_IN_TITLE['DA']				= "Angiv en brugerdefineret portinterval";				// Column 2
	$OTHER_IN_FROM_KEY['DA']			= '';
	$OTHER_IN_FROM_TITLE['DA']			= "Fra";
	$OTHER_IN_TCP_TITLE['DA']			= "TCP";						// no KEY
	$OTHER_IN_TO_KEY['DA']				= '';
	$OTHER_IN_TO_TITLE['DA']			= "Til (valgfri)";
	$OTHER_IN_UDP_TITLE['DA']			= "UDP";						// no KEY
	$NEWS_OUT_KEY['DA']					= '';
	$NEWS_OUT_TITLE['DA']				= "Usenet News";
	$NFS_IN_KEY['DA']						= 'v';
	$NFS_IN_TITLE['DA']					= "NFS-Server";													// Column 2
	$NTP_IN_KEY['DA']						= '';
	$NTP_IN_TITLE['DA']					= "Time Server (NTP)";											// Column 2
	$PAGE_TITLE['DA']						= "EFG for IPTables";	// no KEY
	$PASSIVE_IN_KEY['DA']				= '';
	$PASSIVE_IN_TITLE['DA']				= "Tillad passiv FTP";											// Column 2
	$PASSIVE_PORT_FROM_KEY['DA']		= '';
	$PASSIVE_PORT_FROM_TITLE['DA']	= $IM_PORT_FROM_TITLE['DA'];
	$PASSIVE_PORT_TO_KEY['DA']			= '';
	$PASSIVE_PORT_TO_TITLE['DA']		= $IM_PORT_TO_TITLE['DA'];
	$PORT_FORWARD_KEY['DA']				= 'A';
	$PORT_FORWARD_TITLE['DA']			= "Port Forward til LAN-enhed";								// Column 2
	$PORT_FORWARD_FROM_KEY['DA']		= 'r';
	$PORT_FORWARD_FROM_TITLE['DA']	= $OTHER_IN_FROM_TITLE['DA'];
	$PORT_FORWARD_IP_KEY['DA']			= 'P';
	$PORT_FORWARD_IP_TITLE['DA']		= "Intern IP";
	$PORT_FORWARD_IPORT_KEY['DA']		= '';
	$PORT_FORWARD_IPORT_TITLE['DA']	= "Int. Port (valgfri)";
	$PORT_FORWARD_REDIR_KEY['DA']		= '';
	$PORT_FORWARD_REDIR_TITLE['DA']	= "Omdirigering Også Interne Anmodning til Firewall";
	$PORT_FORWARD_TO_KEY['DA']			= '';
	$PORT_FORWARD_TO_TITLE['DA']		= $OTHER_IN_TO_TITLE['DA'];
	$SPECIAL_LAN_KEY['DA']				= 'O';
	$SPECIAL_LAN_TITLE['DA']			= "Avancerede Netværk Options";					// Column 1
	$REDIRECT_PORT_KEY['DA']			= '';
	$REDIRECT_PORT_TITLE['DA']			= "Omdirigering Havn";
	$RQUOTAD_PORT_KEY['DA']				= '';
	$RQUOTAD_PORT_TITLE['DA']			= "quotad Havn";
	$SELF_IN_KEY['DA']					= '';
	$SELF_IN_TITLE['DA']					= "Lad mig i";														// Column 2
	$SELF_NET_KEY['DA']					= '';
	$SELF_NET_TITLE['DA']				= "min CIDR";														// Column 2
	$SSH_IN_KEY['DA']						= '';
	$SSH_IN_TITLE['DA']					= "SSH";																// Column 2
	$SSH_OUT_KEY['DA']					= '';
	$SSH_OUT_TITLE['DA']					= $SSH_IN_TITLE['DA'];
	$STATD_PORT_KEY['DA']				= '';
	$STATD_PORT_TITLE['DA']				= "statd Havn";
	$SUBMIT_KEY['DA']						= 'F';																// see BUTTON_TEXT for TITLE (also L_SUBMIT)
	$TELNET_OUT_KEY['DA']				= '';
	$TELNET_OUT_TITLE['DA']				= "Telnet";
	$TOOLTIP['DA']							= "PopUp Hjælp (hvis JavaScript er slået til)";
	$TOPIC_TITLE['DA']					= "Nem Firewall Generator";
	$TTL_KEY['DA']							= 'T';
	$TTL_TITLE['DA']						= "TTL";
	$TRANSPARENT_PROXY_KEY['DA']		= 'W';
	$TRANSPARENT_PROXY_TITLE['DA']	= "Transparent Web Proxy";										// Column 2
	// these deliberately out-of-order
	$ENTRY_TIP['DA']						= "Vælg dine muligheder, og tryk derefter på <em>&ldquo;{$BUTTON_TEXT[$_LANG]}&rdquo;</em>-knappen (nedenfor)";
	$ENTRY_TIP_WHOOPS['DA']				= "En eller flere sektioner <span style='border:thin dotted $G_STYLE_DL_NO;'>der er skitseret</span> nedenfor afvente færdiggørelsen ...";
	$HELP_TXT['DA']						= "<h1>Hjælp &amp; Information</h1>\n<p>Dette værktøj genererer en <strong>iptables</strong> firewall script til brug sammen med 2.4, 2.6 &amp; nyere Linux-kerne; scriptet er egnet til at blive brugt direkte med RedHat / CentOS-type distributioner, og er let omdannes til mange andre.</p>

	<p style='border:thin dotted grey;padding:0 1em;'><strong>Javascript</strong> hjælper til at gøre brug af denne EFG anvendelighed som smerte-fri som muligt. Med script slået <em>fra</em> eller <em>deaktiveret</em>, bliver du nødt til at vælge en radio og / eller afkrydsningsfeltet &amp; tryk derefter på <em>{$BUTTON_TEXT[$_LANG]}</em> knappen for at frigive en sektion (ligesom <a href='http://easyfwgen.morizot.net/gen/'>gamle EFG</a>). Dit valg.<br><br>

	<em>Bemærk:</em> Links, der er efterfulgt af en &lsquo;$G_POPUP_WARN&rsquo; er pop-up-vinduer (JavaScript på) eller nye faner / vinduer (Javascript OFF).</p>

	<p style='border:thin dotted grey;padding:0 1em;'>Lige siden 2001 kerfuffle omkring <a href='http://www.modem-help.co.uk/Alcatel/Speed-Touch-A1000-ADSL-Network-Adapter.html?info=1'>Alcatel A1000 router</a>, har det været klart, at en firewall er egentlig ikke en <em>option</em> til en enhed udsat for internettet, er det et krav.<br><br>

	Denne firewall vil være effektiv. med både hjem computere & også med små til mellemstore internet-servere (du skal root-adgang til at gennemføre den firewall på enten). Store internet-servere med millioner af daglige brugere vil implementere en dedikeret, hardware firewall, sammen med dedikeret support personale. Mindre servere vil være helt tilfredse med en iptables firewall.<br><br>

	Bash-script, der genereres af dette værktøj er designet til at blive lastet på enhedens opstart, og fra det punkt på kører i kernen, undersøge hver pakke til & fra internettet. De genererede regler kan være mange hundrede linjer lange, og alligevel ikke medføre nogen mærkbar opbremsning i enheden. iptables er en af ??de funktioner, der forårsager linux at skille sig ud fra mængden; gøre brug af det.</p>

	<p>Denne firewall er beregnet til brug på et enkelt system tilsluttet til internettet, eller en gateway system til en privat, interne netværk. Det giver en række muligheder, men er ikke beregnet til at dække alle mulige situationer. Sørg venligst for at du forstår, hvad hver enkelt indstilling i generatoren gør, og tage sig tid til at læse kommentarerne i den resulterende firewall. Denne generator vil for eksempel ikke generere en firewall er egnet til anvendelse med en DMZ, men den kan give et udgangspunkt. For de mest almindelige anvendelser generatoren skal frembringe en firewall klar til brug.</p>

	<p><a href='language/$_LANG/iptables-info.html' target='info' onclick='openHelp(this.href, this.target); return false;'>mere information om iptables firewalls</a>$G_POPUP_WARN</p>

	<p>Nem Firewall Generator implementerer <a href='language/$_LANG/credits.html' target='credits' onclick='openHelp(this.href, this.target); return false;'>flere ideer</a>$G_POPUP_WARN fremlagt i Oskar Andreasson s iptables-tutorial. Linket til hans tutorial opretholdes på siden ressourcer:</p>

	<p><a href='language/$_LANG/resources.html' target='resources' onclick='openHelp(this.href, this.target); return false;'>Links til yderligere ressourcer firewall</a>$G_POPUP_WARN</p>

	<p>Vælg de ønskede indstillinger, og klik knappen <strong>{$BUTTON_TEXT[$_LANG]}</strong>. Du vil bemærke, at mange muligheder har børne-muligheder, der skal vælges eller udfyldes, mens nogle af disse børn selv har barn-muligheder, der vil også nødt til at være afsluttet. Når alle indstillinger er i en færdig tilstand firewall'en vil blive returneret som et tekstdokument. Gemme resultatet som &ldquo;iptables&rdquo; for Redhat systemer eller &ldquo;rc.firewall&rdquo; for mange andre.</p>

	<p style='border:thin dotted grey;padding:0 1em;'>Denne side er produceret af en html5/css3/utf-8/js standardudformet oversættelse af den sidste EFG frigivelse (v1.17, &copy;&nbsp;2005 <a href='http://easyfwgen.morizot.net/'>Scott Morizot</a>). Denne v2.00 opdateret version søger at give identisk output til den oprindelige <a href='http://easyfwgen.morizot.net/gen/'>v1.17 EFG</a> (<a href='language/$_LANG/CHANGELOG' target='changelog' onclick='openHelp(this.href, this.target); return false;'>CHANGELOG</a>$G_POPUP_WARN), alle v2 bugs er &copy;&nbsp;2014&nbsp;Alex&nbsp;Kemp.<br><br>

	Her er forum tråd bevares for at give, eller bede, for yderligere assistance med EFG - du kan også give ekstra oversættelser, eller skabeloner, eller få GPL:<br><br>

	<a href='http://forums.modem-help.co.uk/viewtopic.php?t=11622'>iptables firewall forum tråd</a></p>";
// vi: shiftwidth=3 tabstop=3 et
?>