<?php
/* efg.inc
 *    EN language include file for the Easy Firewall Generator
 *
 * 2014-03-28 v2.0.4 Added BRAINDEAD_KEY/_TITLE
 * 2014-03-28 v2.0.3 Added DICT_KEY/_TITLE
 * 2014-03-27 v2.0.2 Added SELF_IN_KEY/_TITLE, SELF_NET_KEY/_TITLE
 * 2014-03-25 v2.0.1 Added DA, DE, NL + INET_ADDRESS_KEY/_TITLE
 * 2014-03-15 v2.0.0 Released
 * 2014-03-08 v2.0.0 Started -AK
 *
 * TAB=3
 *
 * @category Net
 * @version $Id: EN/efg.inc, v2.0.3 2014-03-28
 * @author Alex KEMP http://www.modem-help.co.uk/
 * @translator Alex KEMP http://www.modem-help.co.uk/
 *
 * Note: this file *must* be utf-8 encoded, Unix line-endings for best.
 */
	// lang arrays: EN English
	$S_CONTENT_DIRECTION['EN']			= 'ltr';	// left-to-right; Arabic, Hebrew, etc. are `rtl' (right-to-left)

	$BLOCK_OUTBOUND_KEY['EN']			= 'u';
	$BLOCK_OUTBOUND_TITLE['EN']		= "Block Outbound Services";									// Column 2
	$BRAINDEAD_KEY['EN']					= '';
	$BRAINDEAD_TITLE['EN']				= "Stop Braindead GoogleBot SMTP accesses";	// Column 1
	$BUTTON_TEXT['EN']					= "Generate Firewall";											// see SUBMIT_KEY + L_SUBMIT
	$DHCP_IN_KEY['EN']					= 'x';
	$DHCP_IN_TITLE['EN']					= "DHCP Server (external, on Internet interface)";		// Column 2
	$DICT_KEY['EN']						= '';
	$DICT_TITLE['EN']						= "Add Dictionary Attack prevention";			// Column 1
	$DNS_IN_KEY['EN']						= '';
	$DNS_IN_TITLE['EN']					= "DNS Server";													// Column 2
	$DYNAMIC_IP_NO_KEY['EN']			= 'S';
	$DYNAMIC_IP_NO_TITLE['EN']			= "Static";															// Column 2
	$DYNAMIC_IP_TITLE['EN']				= "Internet IP Address Type";	// no KEY
	$DYNAMIC_IP_YES_KEY['EN']			= 'D';
	$DYNAMIC_IP_YES_TITLE['EN']		= "Dynamic";														// Column 2
	$EMAIL_IN_KEY['EN']					= '';
	$EMAIL_IN_TITLE['EN']				= "Email Server";													// Column 2
	$EMAILSSL_IN_KEY['EN']				= '';
	$EMAILSSL_IN_TITLE['EN']			= "with SSL";														// Column 2
	$EMAIL_OUT_KEY['EN']					= '';
	$EMAIL_OUT_TITLE['EN']				= "Email";
	$FTP_IN_KEY['EN']						= '';
	$FTP_IN_TITLE['EN']					= "FTP Server";													// Column 2
	$FTP_OUT_KEY['EN']					= '';
	$FTP_OUT_TITLE['EN']					= "FTP";
	$GATEWAY_NO_KEY['EN']				= 'e';
	$GATEWAY_NO_TITLE['EN']				= "Single Device";												// Column 2
	$GATEWAY_TITLE['EN']					= "Computer Type";		// no KEY
	$GATEWAY_YES_KEY['EN']				= 'G';
	$GATEWAY_YES_TITLE['EN']			= "Gateway for LAN";												// Column 2
	$HELP['EN']								= "Help";					// no KEY
	$HTTP_IN_KEY['EN']					= '';
	$HTTP_IN_TITLE['EN']					= "Web Server";													// Column 2
	$HTTPSSL_IN_KEY['EN']				= '';
	$HTTPSSL_IN_TITLE['EN']				= "with SSL";														// Column 2
	$HTTP_OUT_KEY['EN']					= '';
	$HTTP_OUT_TITLE['EN']				= "HTTP";
	$INET_IFACE_TITLE['EN']				= "Internet Interface";	// no KEY
	$IM_IN_KEY['EN']						= '';
	$IM_IN_TITLE['EN']					= "ICQ &amp; AIM File Transfers";							// Column 2
	$IM_OUT_KEY['EN']						= '';
	$IM_OUT_TITLE['EN']					= "Instant Messenger";
	$IM_PORT_FROM_KEY['EN']				= '';
	$IM_PORT_FROM_TITLE['EN']			= "From port";
	$IM_PORT_TO_KEY['EN']				= '';
	$IM_PORT_TO_TITLE['EN']				= "To port";
	$INET_ADDRESS_KEY['EN']				= 'I';
	$INET_ADDRESS_TITLE['EN']			= "IP Address";
	$INBOUND_ALLOW_KEY['EN']			= 'A';
	$INBOUND_ALLOW_TITLE['EN']			= "Allow Inbound Services";						// Column 1
	$INTERNAL_DHCP_KEY['EN']			= 'H';
	$INTERNAL_DHCP_TITLE['EN']			= "Gateway DHCP Server";										// Column 2
	$IRC_OUT_KEY['EN']					= '';
	$IRC_OUT_TITLE['EN']					= "IRC";
	$IRC_USER_KEY['EN']					= 'C';
	$IRC_USER_TITLE['EN']				= "Internet Relay Chat (IRC) User";				// Column 1
	$L_POST['EN']							= "Firewall Options";	// no KEY
	$L_SUBMIT['EN']						= $BUTTON_TEXT['EN'];	// no KEY
	$LOCAL_BCAST_KEY['EN']				= 'B';
	$LOCAL_BCAST_TITLE['EN']			= "Broadcast IP";
	$LOCAL_IFACE_KEY['EN']				= '';
	$LOCAL_IFACE_TITLE['EN']			= "LAN Interface";
	$LOCAL_IP_KEY['EN']					= '';
	$LOCAL_IP_TITLE['EN']				= $INET_ADDRESS_TITLE['EN'];
	$LOCAL_NET_KEY['EN']					= 'N';
	$LOCAL_NET_TITLE['EN']				= "Network CIDR";
	$LOCKD_PORT_KEY['EN']				= '';
	$LOCKD_PORT_TITLE['EN']				= "lockd port";
	$LOG_FIREPARSE_KEY['EN']			= 'L';
	$LOG_FIREPARSE_TITLE['EN']			= "Log entries in a Fireparse format";			// Column 1
	$MANGLE_TTL_KEY['EN']				= 'M';
	$MANGLE_TTL_TITLE['EN']				= "Mangle Packet TTL";											// Column 2
	$MDNSRESPONDER_IN_KEY['EN']		= '';
	$MDNSRESPONDER_IN_TITLE['EN']		= "mDNS Responder";												// Column 2
	$MESSENGER_IN_KEY['EN']				= '';
	$MESSENGER_IN_TITLE['EN']			= "MSN Messenger File Transfers";							// Column 2
	$MOUNTD_PORT_KEY['EN']				= '';
	$MOUNTD_PORT_TITLE['EN']			= "mountd port";
	$MSN_PORT_FROM_KEY['EN']			= '';
	$MSN_PORT_FROM_TITLE['EN']			= $IM_PORT_FROM_TITLE['EN'];
	$MSN_PORT_TO_KEY['EN']				= '';
	$MSN_PORT_TO_TITLE['EN']			= $IM_PORT_TO_TITLE['EN'];
	$OTHER_IN_KEY['EN']					= '';
	$OTHER_IN_TITLE['EN']				= "Specify a custom port range";								// Column 2
	$OTHER_IN_FROM_KEY['EN']			= '';
	$OTHER_IN_FROM_TITLE['EN']			= "From";
	$OTHER_IN_TCP_TITLE['EN']			= "TCP";						// no KEY
	$OTHER_IN_TO_KEY['EN']				= '';
	$OTHER_IN_TO_TITLE['EN']			= "To (Optional)";
	$OTHER_IN_UDP_TITLE['EN']			= "UDP";						// no KEY
	$NEWS_OUT_KEY['EN']					= '';
	$NEWS_OUT_TITLE['EN']				= "Usenet News";
	$NFS_IN_KEY['EN']						= '';
	$NFS_IN_TITLE['EN']					= "NFS Server";													// Column 2
	$NTP_IN_KEY['EN']						= '';
	$NTP_IN_TITLE['EN']					= "Time Server (NTP)";											// Column 2
	$PAGE_TITLE['EN']						= "EFG for IPTables";	// no KEY
	$PASSIVE_IN_KEY['EN']				= '';
	$PASSIVE_IN_TITLE['EN']				= "Allow Passive FTP";											// Column 2
	$PASSIVE_PORT_FROM_KEY['EN']		= '';
	$PASSIVE_PORT_FROM_TITLE['EN']	= $IM_PORT_FROM_TITLE['EN'];
	$PASSIVE_PORT_TO_KEY['EN']			= '';
	$PASSIVE_PORT_TO_TITLE['EN']		= $IM_PORT_TO_TITLE['EN'];
	$PORT_FORWARD_KEY['EN']				= 'v';
	$PORT_FORWARD_TITLE['EN']			= "Port Forward to LAN Device";								// Column 2
	$PORT_FORWARD_FROM_KEY['EN']		= 'r';
	$PORT_FORWARD_FROM_TITLE['EN']	= $OTHER_IN_FROM_TITLE['EN'];
	$PORT_FORWARD_IP_KEY['EN']			= 'P';
	$PORT_FORWARD_IP_TITLE['EN']		= "Internal IP";
	$PORT_FORWARD_IPORT_KEY['EN']		= '';
	$PORT_FORWARD_IPORT_TITLE['EN']	= "Int Port (Optional)";
	$PORT_FORWARD_REDIR_KEY['EN']		= 'q';
	$PORT_FORWARD_REDIR_TITLE['EN']	= "Also Redirect Internal Requests to the Firewall";
	$PORT_FORWARD_TO_KEY['EN']			= '';
	$PORT_FORWARD_TO_TITLE['EN']		= $OTHER_IN_TO_TITLE['EN'];
	$SPECIAL_LAN_KEY['EN']				= 'O';
	$SPECIAL_LAN_TITLE['EN']			= "Advanced Network Options";						// Column 1
	$REDIRECT_PORT_KEY['EN']			= '';
	$REDIRECT_PORT_TITLE['EN']			= "Redirect Port";
	$RQUOTAD_PORT_KEY['EN']				= '';
	$RQUOTAD_PORT_TITLE['EN']			= "quotad port";
	$SELF_IN_KEY['EN']					= '';
	$SELF_IN_TITLE['EN']					= "Let me in";														// Column 2
	$SELF_NET_KEY['EN']					= '';
	$SELF_NET_TITLE['EN']				= "My CIDR";														// Column 2
	$SSH_IN_KEY['EN']						= '';
	$SSH_IN_TITLE['EN']					= "SSH";																// Column 2
	$SSH_OUT_KEY['EN']					= '';
	$SSH_OUT_TITLE['EN']					= $SSH_IN_TITLE['EN'];
	$STATD_PORT_KEY['EN']				= '';
	$STATD_PORT_TITLE['EN']				= "statd port";
	$SUBMIT_KEY['EN']						= 'F';																// see BUTTON_TEXT for TITLE (also L_SUBMIT)
	$TELNET_OUT_KEY['EN']				= '';
	$TELNET_OUT_TITLE['EN']				= "Telnet";
	$TOOLTIP['EN']							= "PopUp Help (if JavaScript is switched ON)";
	$TOPIC_TITLE['EN']					= "Easy Firewall Generator";
	$TTL_KEY['EN']							= 'T';
	$TTL_TITLE['EN']						= "TTL";
	$TRANSPARENT_PROXY_KEY['EN']		= 'W';
	$TRANSPARENT_PROXY_TITLE['EN']	= "Transparent Web Proxy";										// Column 2
	// these deliberately out-of-order
	$ENTRY_TIP['EN']						= "Choose your options, then press the <em>&ldquo;{$BUTTON_TEXT[$_LANG]}&rdquo;</em> button (below)";
	$ENTRY_TIP_WHOOPS['EN']				= "One or more sections <span style='border:thin dotted $G_STYLE_DL_NO;'>outlined</span> below await completion...";
	$HELP_TXT['EN']						= "<h1>Help &amp; Information</h1>\n<p>This utility generates an <strong>iptables</strong> firewall script for use with the 2.4, 2.6 &amp; later Linux kernel; the script is suitable to be used directly with RedHat/CentOS-type distributions, and is easily converted for many others.</p>

	<p style='border:thin dotted grey;padding:0 1em;'><strong>Javascript</strong> helps to make using this EFG utility as pain-free as possible. With script switched <i>off</i> or <i>disabled</i>, you will need to select a radio and/or checkbox &amp; then press the <em>{$BUTTON_TEXT[$_LANG]}</em> button to release a section (just like the <a href='http://easyfwgen.morizot.net/gen/'>old EFG</a>). Your choice.<br><br>

	<em>Note:</em> Links that are followed by a &lsquo;$G_POPUP_WARN&rsquo; are pop-up windows (Javascript ON) or new tabs/windows (Javascript OFF).</p>

	<p style='border:thin dotted grey;padding:0 1em;'>Ever since the 2001 kerfuffle surrounding the <a href='http://www.modem-help.co.uk/Alcatel/Speed-Touch-A1000-ADSL-Network-Adapter.html?info=1'>Alcatel A1000 router</a>, it has been clear that a firewall is not really an <i>option</i> for any device exposed to the Internet; it is a requirement.<br><br>This firewall will be effective with both home computers &amp; also with small-to-medium internet servers (you will need root access to implement the firewall on either). Large internet servers with millions of daily users will deploy a dedicated, hardware Firewall, together with dedicated support staff. Smaller servers will be perfectly satisfied with an iptables firewall.<br><br>

	The bash-script generated by this utility is designed to be loaded at device startup, and from that point on runs in the kernel, examining every packet to &amp; from the internet. The generated rules can be many hundreds of lines long, and yet cause no noticeable slowdown in the device. iptables is one of the features that causes linux to stand out from the crowd; make use of it.</p>

	<p>The firewall is intended for use on a single system connected to the Internet, or a gateway system for a private, internal network. It provides a range of options, but is not intended to cover every possible situation. Please make sure that you understand what each option in the generator does, and take the time to read the comments in the resulting firewall. This generator will not, for example, generate a firewall suitable for use with a DMZ, but it can provide a starting point. For the most common uses the generator should produce a firewall ready for use.</p>

	<p><a href='language/$_LANG/iptables-info.html' target='info' onclick='openHelp(this.href, this.target); return false;'>more information on iptables firewalls</a>$G_POPUP_WARN</p>

	<p>Easy Firewall Generator implements <a href='language/$_LANG/credits.html' target='credits' onclick='openHelp(this.href, this.target); return false;'>several ideas</a>$G_POPUP_WARN presented in Oskar Andreasson&rsquo;s iptables-tutorial. The link to his tutorial is maintained on the resources page:</p>

	<p><a href='language/$_LANG/resources.html' target='resources' onclick='openHelp(this.href, this.target); return false;'>Links to additional firewall resources</a>$G_POPUP_WARN</p>

	<p>Select the desired options and click the <strong>{$BUTTON_TEXT[$_LANG]}</strong> button. You will note that many options have child-options that need to be selected or filled-in, whilst some of those children themselves have child-options that will also need to be completed. When all options are in a completed state the firewall will be returned as a text document. Save the result as &ldquo;iptables&rdquo; for Redhat systems or &ldquo;rc.firewall&rdquo; for many others.</p>

	<p style='border:thin dotted grey;padding:0 1em;'>This page is produced by a html5/css3/utf-8/js templated translation of the last EFG release (v1.17, &copy;&nbsp;2005 <a href='http://easyfwgen.morizot.net/'>Scott Morizot</a>). This v2.00 updated version seeks to give identical output to the original <a href='http://easyfwgen.morizot.net/gen/'>v1.17 EFG</a> (<a href='language/$_LANG/CHANGELOG' target='changelog' onclick='openHelp(this.href, this.target); return false;'>CHANGELOG</a>$G_POPUP_WARN); all v2 bugs are &copy;&nbsp;2014&nbsp;Alex&nbsp;Kemp.<br><br>

	Here is the forum thread maintained for giving, or asking, for further assistance with the EFG - you can also provide extra translations, or templates, or obtain the GPL:<br><br>

	<a href='http://forums.modem-help.co.uk/viewtopic.php?t=11622'>iptables Firewall forum thread</a></p>";
// vi: shiftwidth=3 tabstop=3 et
?>